function init (hero) {
    hero.setName("Demon/\u00A76\u00A7lUHP\u00A7r");
    hero.setCosmic();
    hero.setVersion("Supernatural");
    hero.setTier(5);

    hero.setChestplate("Physiology");

    hero.addPowers("uhp:demon_physiology");
	
    hero.addAttribute("SPRINT_SPEED", 0.50, 1);
    hero.addAttribute("FALL_RESISTANCE", 12.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.5, 0);
    hero.addAttribute("PUNCH_DAMAGE", 11.0, 0);
    hero.addAttribute("WEAPON_DAMAGE", -2.0, 0);

    hero.addKeyBind("INVISIBILITY", "key.invisibility", 1);
    hero.addKeyBind("SHADOWFORM", "Mist", 2);

    hero.setHasProperty(hasProperty);
	
    hero.setModifierEnabled(isModifierEnabled);
    hero.setKeyBindEnabled(isKeyBindEnabled);
	
}

function isModifierEnabled(entity, modifier) {
    switch (modifier.name()) {
    case "fiskheroes:flight":
        return entity.getData("fiskheroes:shadowform");
    default:
        return true;
    }
}

function isKeyBindEnabled(entity, keyBind) {
    switch (keyBind) {
	case "SHADOWFORM":
        return entity.isSneaking() || entity.getData("fiskheroes:shadowform");
    case "INVISIBILITY":
        return !entity.getData("fiskheroes:shadowform");

    default:
        return true;
    }
}

function hasProperty(entity, property) {
    return property == "BREATHE_UNDERWATER" || property == "BREATHE_SPACE";
}